var _minimized = false;
var digit_dir =  'digits/';
function view_onminimize() {
  _minimized = true;
  OnMinuteTimer();
}

function view_onrestore() {
  _minimized = false;
  view.caption = PLUGIN_TITLE;
}

function view_onopen() {
  OnMinuteTimer();
}


function OnMinuteTimer() {
  var Now = new Date();

  UpdateHour( Now );
  
  if ( _minimized ) {
    var Minutes = Now.getMinutes();
    var Hours = Now.getHours() % 12;
    if( Hours == 0 ) Hours = 12;
    view.caption = Hours + (Minutes < 10 ? ":0" : ":") + Minutes;
  }
    
  var Timeout = 60;
  view.setTimeout( "OnMinuteTimer()", 5);
}

function UpdateHour( Now ) {
	var Hours = Now.getHours();
	if( Hours >= 12 ) Hours -= 12;
    var Minutes = Now.getMinutes();
	var Seconds =  Now.getSeconds();
	Hours = Hours.toString();
	Minutes = Minutes.toString();
	Seconds = Seconds.toString();
	if(Hours < 10) {
		digitHour1.src = digit_dir + '0.png'
		digitHour2.src = digit_dir + Hours + '.png'
	} else {
		digitHour1.src = digit_dir + Hours.substr(0,1) + '.png';
		digitHour2.src = digit_dir + Hours.substr(1,2) + '.png';
	}
	if(Minutes < 10) {
		digitMinute1.src = digit_dir + '0.png'
		digitMinute2.src = digit_dir + Minutes + '.png'
	} else {
		digitMinute1.src = digit_dir + Minutes.substr(0,1) + '.png';
		digitMinute2.src = digit_dir + Minutes.substr(1,2) + '.png';
	}
	if(Seconds < 10) {
		digitSecond1.src = digit_dir + '0.png'
		digitSecond2.src = digit_dir + Seconds + '.png'
	} else {
		digitSecond1.src = digit_dir + Seconds.substr(0,1) + '.png';
		digitSecond2.src = digit_dir + Seconds.substr(1,2) + '.png';
	}
}